class_name MainMenu extends Control

@onready var animator: AnimationPlayer = $AnimationPlayer
@onready var playMenu: PanelContainer = $PlayMenu
@onready var scoreMenu: PanelContainer = $HighScores
@onready var settingsMenu: PanelContainer = $Settings

# --- Basic Menu --- #
func _on_play_pressed() -> void:
	animator.play("ShowPlay")

func _on_scores_pressed() -> void:
	animator.play("ShowScores")

func _on_settings_pressed() -> void:
	animator.play("ShowSettings")

func _on_back_pressed() -> void:
	if (playMenu.visible):
		animator.play_backwards("ShowPlay")
	elif (scoreMenu.visible):
		animator.play_backwards("ShowScores")
	elif (settingsMenu.visible):
		animator.play_backwards("ShowSettings")

func _on_quit_pressed() -> void:
	get_tree().quit()


# --- Play menu --- #
func _on_easy_pressed() -> void:
	pass # Replace with function body.

func _on_medium_pressed() -> void:
	pass # Replace with function body.

func _on_hard_pressed() -> void:
	pass # Replace with function body.

func _on_gamer_pressed() -> void:
	pass # Replace with function body.
